// Slave
// Built on https://www.instructables.com/id/I2C-between-Arduinos/
#include <Wire.h>

int LEDgreen = 10;
int LEDred = 11;
int ledmode = 2;

void setup() {
  Serial.begin(9600);
  
  pinMode(LEDgreen, OUTPUT);
  pinMode(LEDred, OUTPUT);

  Wire.begin(8); 
  Wire.onReceive(receiveMode);
}

void receiveMode(int bytes) {
  ledmode = Wire.read();
}

void loop() {
  if (ledmode == 0) {
    digitalWrite(LEDgreen, HIGH);
    delay(200);
    digitalWrite(LEDgreen, LOW);
    delay(100);
  }
  if (ledmode == 1) {
    digitalWrite(LEDgreen, HIGH);
    digitalWrite(LEDred, HIGH);
    delay(200);
    digitalWrite(LEDgreen, LOW);
    digitalWrite(LEDred, LOW);
    delay(100);
  }
  Serial.print("This is the Slave. The LED mode is ");
  Serial.println(ledmode);
}
